namespace Ryujinx.Graphics.Texture.FileFormats
{
    enum DxgiFormat
    {
        FormatUnknown = 0x0,
        FormatR32G32B32A32Typeless = 0x1,
        FormatR32G32B32A32Float = 0x2,
        FormatR32G32B32A32Uint = 0x3,
        FormatR32G32B32A32Sint = 0x4,
        FormatR32G32B32Typeless = 0x5,
        FormatR32G32B32Float = 0x6,
        FormatR32G32B32Uint = 0x7,
        FormatR32G32B32Sint = 0x8,
        FormatR16G16B16A16Typeless = 0x9,
        FormatR16G16B16A16Float = 0xA,
        FormatR16G16B16A16Unorm = 0xB,
        FormatR16G16B16A16Uint = 0xC,
        FormatR16G16B16A16Snorm = 0xD,
        FormatR16G16B16A16Sint = 0xE,
        FormatR32G32Typeless = 0xF,
        FormatR32G32Float = 0x10,
        FormatR32G32Uint = 0x11,
        FormatR32G32Sint = 0x12,
        FormatR32G8X24Typeless = 0x13,
        FormatD32FloatS8X24Uint = 0x14,
        FormatR32FloatX8X24Typeless = 0x15,
        FormatX32TypelessG8X24Uint = 0x16,
        FormatR10G10B10A2Typeless = 0x17,
        FormatR10G10B10A2Unorm = 0x18,
        FormatR10G10B10A2Uint = 0x19,
        FormatR11G11B10Float = 0x1A,
        FormatR8G8B8A8Typeless = 0x1B,
        FormatR8G8B8A8Unorm = 0x1C,
        FormatR8G8B8A8UnormSrgb = 0x1D,
        FormatR8G8B8A8Uint = 0x1E,
        FormatR8G8B8A8Snorm = 0x1F,
        FormatR8G8B8A8Sint = 0x20,
        FormatR16G16Typeless = 0x21,
        FormatR16G16Float = 0x22,
        FormatR16G16Unorm = 0x23,
        FormatR16G16Uint = 0x24,
        FormatR16G16Snorm = 0x25,
        FormatR16G16Sint = 0x26,
        FormatR32Typeless = 0x27,
        FormatD32Float = 0x28,
        FormatR32Float = 0x29,
        FormatR32Uint = 0x2A,
        FormatR32Sint = 0x2B,
        FormatR24G8Typeless = 0x2C,
        FormatD24UnormS8Uint = 0x2D,
        FormatR24UnormX8Typeless = 0x2E,
        FormatX24TypelessG8Uint = 0x2F,
        FormatR8G8Typeless = 0x30,
        FormatR8G8Unorm = 0x31,
        FormatR8G8Uint = 0x32,
        FormatR8G8Snorm = 0x33,
        FormatR8G8Sint = 0x34,
        FormatR16Typeless = 0x35,
        FormatR16Float = 0x36,
        FormatD16Unorm = 0x37,
        FormatR16Unorm = 0x38,
        FormatR16Uint = 0x39,
        FormatR16Snorm = 0x3A,
        FormatR16Sint = 0x3B,
        FormatR8Typeless = 0x3C,
        FormatR8Unorm = 0x3D,
        FormatR8Uint = 0x3E,
        FormatR8Snorm = 0x3F,
        FormatR8Sint = 0x40,
        FormatA8Unorm = 0x41,
        FormatR1Unorm = 0x42,
        FormatR9G9B9E5Sharedexp = 0x43,
        FormatR8G8B8G8Unorm = 0x44,
        FormatG8R8G8B8Unorm = 0x45,
        FormatBC1Typeless = 0x46,
        FormatBC1Unorm = 0x47,
        FormatBC1UnormSrgb = 0x48,
        FormatBC2Typeless = 0x49,
        FormatBC2Unorm = 0x4A,
        FormatBC2UnormSrgb = 0x4B,
        FormatBC3Typeless = 0x4C,
        FormatBC3Unorm = 0x4D,
        FormatBC3UnormSrgb = 0x4E,
        FormatBC4Typeless = 0x4F,
        FormatBC4Unorm = 0x50,
        FormatBC4Snorm = 0x51,
        FormatBC5Typeless = 0x52,
        FormatBC5Unorm = 0x53,
        FormatBC5Snorm = 0x54,
        FormatB5G6R5Unorm = 0x55,
        FormatB5G5R5A1Unorm = 0x56,
        FormatB8G8R8A8Unorm = 0x57,
        FormatB8G8R8X8Unorm = 0x58,
        FormatR10G10B10XRBiasA2Unorm = 0x59,
        FormatB8G8R8A8Typeless = 0x5A,
        FormatB8G8R8A8UnormSrgb = 0x5B,
        FormatB8G8R8X8Typeless = 0x5C,
        FormatB8G8R8X8UnormSrgb = 0x5D,
        FormatBC6HTypeless = 0x5E,
        FormatBC6HUF16 = 0x5F,
        FormatBC6HSF16 = 0x60,
        FormatBC7Typeless = 0x61,
        FormatBC7Unorm = 0x62,
        FormatBC7UnormSrgb = 0x63,
        FormatAyuv = 0x64,
        FormatY410 = 0x65,
        FormatY416 = 0x66,
        FormatNV12 = 0x67,
        FormatP010 = 0x68,
        FormatP016 = 0x69,
        Format420Opaque = 0x6A,
        FormatYuy2 = 0x6B,
        FormatY210 = 0x6C,
        FormatY216 = 0x6D,
        FormatNV11 = 0x6E,
        FormatAI44 = 0x6F,
        FormatIA44 = 0x70,
        FormatP8 = 0x71,
        FormatA8P8 = 0x72,
        FormatB4G4R4A4Unorm = 0x73,
        FormatP208 = 0x82,
        FormatV208 = 0x83,
        FormatV408 = 0x84,
    }
}
